org.eclipse.rdf4j.query.impl

## Class FallbackDataset

- java.lang.Object
- - org.eclipse.rdf4j.query.impl.FallbackDataset

- All Implemented Interfaces:
    Serializable, Dataset

      public class FallbackDataset
      extends Object
      implements Dataset, Serializable

  Author:
    james
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Dataset` | `fallback(Dataset primary, Dataset fallback)`
    `Set<IRI>` | `getDefaultGraphs()` Gets the default graph URIs of this dataset.
    `IRI` | `getDefaultInsertGraph()` Gets the default insert graph URI of this dataset.
    `Set<IRI>` | `getDefaultRemoveGraphs()` Gets the default remove graph URIs of this dataset.
    `Set<IRI>` | `getNamedGraphs()` Gets the named graph URIs of this dataset.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### fallback

          public static Dataset fallback(Dataset primary,
                                         Dataset fallback)

    - #### getDefaultGraphs

          public Set<IRI> getDefaultGraphs()

      Description copied from interface: `Dataset`
      Gets the default graph URIs of this dataset. An empty default graph set and a non-empty named graph set indicates that the default graph is an empty graph. However, if both the default graph set and the named graph set are empty, that indicates that the store's default behaviour should be used.
      Specified by:
        `getDefaultGraphs` in interface `Dataset`

    - #### getNamedGraphs

          public Set<IRI> getNamedGraphs()

      Description copied from interface: `Dataset`
      Gets the named graph URIs of this dataset. An empty named graph set and a non-empty default graph set indicates that there are no named graphs. However, if both the default graph set and the named graph set are empty, that indicates that the store's default behaviour should be used.
      Specified by:
        `getNamedGraphs` in interface `Dataset`

    - #### getDefaultInsertGraph

          public IRI getDefaultInsertGraph()

      Description copied from interface: `Dataset`
      Gets the default insert graph URI of this dataset. An null value indicates that the store's default behaviour should be used, if not otherwise indicated in the operation.
      Specified by:
        `getDefaultInsertGraph` in interface `Dataset`

    - #### getDefaultRemoveGraphs

          public Set<IRI> getDefaultRemoveGraphs()

      Description copied from interface: `Dataset`
      Gets the default remove graph URIs of this dataset. An empty set indicates the the store's default behaviour should be used, if not otherwise indicated in the operation.
      Specified by:
        `getDefaultRemoveGraphs` in interface `Dataset`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.